GET api/pcapi/pc/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
PCViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| db_login | string |
String length: inclusive between 0 and 50 |
|
| db_name | string |
String length: inclusive between 0 and 50 |
|
| db_password | string |
String length: inclusive between 0 and 50 |
|
| db_source | string |
String length: inclusive between 0 and 50 |
|
| id | globally unique identifier |
None. |
|
| local_ip | string |
String length: inclusive between 0 and 15 |
|
| lock_id | globally unique identifier |
None. |
|
| mac_address | string |
Required String length: inclusive between 0 and 30 |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| pc_type_id | globally unique identifier |
None. |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| site_id | globally unique identifier |
None. |
|
| zone_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"cleanroom_id": "06e0f289-06fa-49f6-8758-d9f3411ccdc2",
"db_login": "sample string 2",
"db_name": "sample string 3",
"db_password": "sample string 4",
"db_source": "sample string 5",
"id": "e1d13bc4-1d06-4c4c-9645-21e201583200",
"local_ip": "sample string 7",
"lock_id": "931a6fb6-3be2-45fc-89ef-614aca62bc6c",
"mac_address": "sample string 8",
"name": "sample string 9",
"pc_type_id": "83813567-41fc-4e84-ac00-e2ca3ba616e7",
"rights": [
{
"code": "sample string 1",
"id": "46c18e52-ce2d-4d3a-b735-4768169819a5"
},
{
"code": "sample string 1",
"id": "46c18e52-ce2d-4d3a-b735-4768169819a5"
}
],
"site_id": "2e4216d5-9996-44d8-9f6e-415915e924ab",
"zone_id": "b8f9fc0d-d3b0-4009-aaa3-93043d1f6d3a"
}
application/xml, text/xml
Sample:
<pc xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<cleanroom_id>06e0f289-06fa-49f6-8758-d9f3411ccdc2</cleanroom_id>
<db_login>sample string 2</db_login>
<db_name>sample string 3</db_name>
<db_password>sample string 4</db_password>
<db_source>sample string 5</db_source>
<id>e1d13bc4-1d06-4c4c-9645-21e201583200</id>
<local_ip>sample string 7</local_ip>
<lock_id>931a6fb6-3be2-45fc-89ef-614aca62bc6c</lock_id>
<mac_address>sample string 8</mac_address>
<name>sample string 9</name>
<pc_type_id>83813567-41fc-4e84-ac00-e2ca3ba616e7</pc_type_id>
<rights>
<right>
<ID>46c18e52-ce2d-4d3a-b735-4768169819a5</ID>
<code>sample string 1</code>
</right>
<right>
<ID>46c18e52-ce2d-4d3a-b735-4768169819a5</ID>
<code>sample string 1</code>
</right>
</rights>
<site_id>2e4216d5-9996-44d8-9f6e-415915e924ab</site_id>
<zone_id>b8f9fc0d-d3b0-4009-aaa3-93043d1f6d3a</zone_id>
</pc>